> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.tribalhabits.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific topic enrolment

> This endpoint retrieves a specific topic enrolment.

If the enrolment does not exist, `404` is returned with the body `{"errors":["Cannot find topic assignment"]}`.




## OpenAPI

````yaml /openapi.yaml get /topic_assignments/{id}
openapi: 3.1.0
info:
  title: Tribal Habits Public API
  version: '1'
  description: >
    The Tribal Habits Public API V1. Use it to manage your Tribal Habits user
    accounts (list, show, create and update) and other entities.


    Replace `myorg` in the server URL with your organisation's subdomain. See
    [Vanity URL](/vanity-url) if you use your own domain.
servers:
  - url: https://myorg.tribalhabits.com/papi
security:
  - ApiKeyHeader: []
tags:
  - name: Users
    description: Users
  - name: Topics
    description: Topics
  - name: Pathways
    description: Pathways
  - name: Enrolments
    description: Topic and Pathway Enrolments
  - name: Certificates
    description: >-
      Certificate generation and retrieval for completed topic and pathway
      enrolments.
  - name: External Knowledge
    description: Knowledge obtained from a source external of Tribal Habits.
  - name: Webhooks
    description: >-
      Webhooks triggered from certain actions in code that will call URLs
      assigned by you.
paths:
  /topic_assignments/{id}:
    get:
      tags:
        - Enrolments
      summary: Get a specific topic enrolment
      description: >
        This endpoint retrieves a specific topic enrolment.


        If the enrolment does not exist, `404` is returned with the body
        `{"errors":["Cannot find topic assignment"]}`.
      operationId: getTopicEnrolment
      parameters:
        - name: id
          in: path
          required: true
          description: The unique identifier of a topic enrolment
          schema:
            type: integer
          example: 12345
      responses:
        '200':
          description: The topic enrolment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TopicEnrolment'
              example:
                id: 12345
                created_at: '2019-04-01T18:03:15.966+11:00'
                updated_at: '2020-01-22T14:38:39.099+11:00'
                completed_topic_at: '2019-10-23T15:27:09.829+11:00'
                status: Conquered
                due_date: null
                relationship: reader
                conquered_minutes: 7
                conquered_cpd_minutes: 7
                enrolled_by: PAPI
                certified_date: null
                recertification_allowed: true
                version: null
                skills_attained:
                  - id: 13
                    name: First Aid
                categories:
                  - name: Health
                    minutes: 39.5
                    points: 500
                person:
                  id: 2
                  name: User1
                  user_name: '12345'
                  link: /people/users/7
                topic:
                  id: 3
                  title: Confident and effective business networking
                  link: /knowledge/topics/3/overview
                  knowledge_type: 0
                  show_certificate: true
                  external_id: '123'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: The enrolment does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorList'
              example:
                errors:
                  - Cannot find topic assignment
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    TopicEnrolment:
      type: object
      properties:
        id:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        completed_topic_at:
          type:
            - string
            - 'null'
          format: date-time
          description: When the topic was completed, or `null`
        status:
          type: string
          enum:
            - Pre-enrolled
            - Unexplored
            - Exploring
            - Applying
            - Conquered
          description: >-
            Progress of the enrolment: `Pre-enrolled`, `Unexplored`,
            `Exploring`, `Applying` or `Conquered` (completed)
        due_date:
          type:
            - string
            - 'null'
          format: date-time
        relationship:
          type: string
          enum:
            - reader
            - author
            - assessor
          description: '`reader` (explorer), `author` (creator) or `assessor`'
        conquered_minutes:
          type:
            - number
            - 'null'
          description: Minutes recorded on completion
        conquered_cpd_minutes:
          type:
            - number
            - 'null'
          description: Minutes recorded on completion
        enrolled_by:
          type:
            - string
            - 'null'
        certified_date:
          type:
            - string
            - 'null'
          description: Date the certification is valid until, or `null`
        recertification_allowed:
          type: boolean
        version:
          type:
            - string
            - 'null'
          description: Version of the topic completed, or `null`
        skills_attained:
          type: array
          items:
            $ref: '#/components/schemas/SkillAttained'
        categories:
          type: array
          description: Continuing education categories recorded on completion
          items:
            type: object
            properties:
              name:
                type: string
              minutes:
                type: number
              points:
                type: number
        person:
          $ref: '#/components/schemas/EnrolmentPerson'
        topic:
          type: object
          properties:
            id:
              type: integer
            title:
              type: string
            link:
              type: string
              description: Path of the related page in Tribal Habits
            knowledge_type:
              type: integer
              enum:
                - 0
                - 1
              description: '`0` = standard topic, `1` = short topic'
            show_certificate:
              type: boolean
            external_id:
              type:
                - string
                - 'null'
    ErrorList:
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
    SkillAttained:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
    EnrolmentPerson:
      type: object
      properties:
        id:
          type: integer
          description: Internal user ID. This is not the `user_name`
        name:
          type: string
        user_name:
          type: string
        link:
          type: string
          description: Path of the related page in Tribal Habits
  responses:
    Unauthorized:
      description: >-
        Unauthorized - The request does not include the API key, the API key is
        incorrect, or API access is not enabled on your plan.
    TooManyRequests:
      description: >-
        Too Many Requests - You have exceeded the rate limit. See [Rate
        limits](/rate-limits)
      headers:
        Retry-After:
          description: Number of seconds until the rate limit window resets
          schema:
            type: integer
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              retry_after_seconds:
                type: integer
          example:
            error: Rate limit exceeded. Please slow down.
            retry_after_seconds: 23
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: Authorization
      description: >
        Your organisation's API key, sent as `Authorization: my_api_key`. The
        key can also be passed as an `api_key` query parameter. See
        [Authentication](/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.